## Übersicht der Optionen für das Programm SDBINST

Bei der Installation/Update von Datenbanksoftware mit dem Programm SDBINST stehen Ihnen folgende Optionen zur Verfügung:

Option | Beschreibung
-b | -batch | Verwendung des Installationsprogramms im Hintergrund Wenn Sie diese Option angeben, bricht das Installationsprogramm im Falle fehlender Angaben mit einem Fehler ab. Wenn Sie diese Option nicht angeben, stoppt das Programm im Falle fehlender Angaben und fordert Sie zur Interaktion auf.
-component_group <component_group> | <component_group> = Server | Client Komponentengruppe Server entspricht der Komponentengruppe Server+Client
-profile <inst_profile> | Installationsprofil Namen, die Leerzeichen enthalten, müssen im Installationskommando in doppelte Anführungszeichen gesetzt werden.
-package <package_name> | Logischer Name der Softwarekomponente (nicht Dateinamen) Namen, die Leerzeichen enthalten, müssen im Installationskommando in doppelte Anführungszeichen gesetzt werden.
-indep_data <independent_data_path> | Kann nur bei einer Neuinstallation spezifiziert werden. In allen anderen Fällen wird die Angabe vom System ignoriert. Eine Änderung dieser Pfadangabe ist nur nach einer vollständigen Deinstallation der Datenbanksoftware möglich.
-indep_prog <independent-program_path> | Kann nur bei einer Neuinstallation spezifiziert werden. In allen anderen Fällen wird die Angabe vom System ignoriert. Eine Änderung dieser Pfadangabe ist nur nach einer vollständigen Deinstallation der Datenbanksoftware möglich.
-depend <dependent_path> | Muss nur bei einer Neuinstallation und nur für die Installationsprofile all, Server und APO LiveCache sowie die Softwarekomponenten Database Kernel und APO LC APPS (ab APO Version 4.) bzw.APO COM angegeben werden. In allen anderen Fällen wird die Angabe vom System ignoriert.
-a <archive_directory> | Verzeichnis, in dem sich die Installationspakete befinden
-o | -owner <sdb_user> | nur UNIX: Eigentümer der Software
-g | -group <sdba_group> | nur UNIX: Gruppe der Software (Administratorengruppe)
-h | -help | Liste der möglichen Optionen und Beschreibungen
-v | -version | Versionsnummer des Installationsprogramms SDBINST
-l | -list | Anzeigen aller möglichen Installationsprofile und Softwarekomponenten

Siehe auch:

Verzeichnisse